Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.jbrowser
Interface PropertyAccessor

All Known Implementing Classes:
  JBrowsePlugin.PropAccessor

    public interface PropertyAccessor

Method Summary
`java.lang.String` | `getProperty(java.lang.String name)` Fetches a property, returning null if it's not defined.
`java.lang.String` | `getProperty(java.lang.String name, java.lang.Object[] args)` Returns the property with the specified name, formatting it with the `java.text.MessageFormat.format()` method.
`java.lang.String` | `getProperty(java.lang.String name, java.lang.String def)` Fetches a property, returning the default value if it's not defined.
`java.lang.Object` | `setProperty(java.lang.String name, java.lang.String value)` Sets a property to a new value.

Method Detail

### getProperty

    java.lang.String getProperty(java.lang.String name)

  Fetches a property, returning null if it's not defined.

  Parameters:
    `name` - The property

### getProperty

    java.lang.String getProperty(java.lang.String name,
                                 java.lang.String def)

  Fetches a property, returning the default value if it's not defined.

  Parameters:
    `name` - The property
    `def` - The default value

### getProperty

    java.lang.String getProperty(java.lang.String name,
                                 java.lang.Object[] args)

  Returns the property with the specified name, formatting it with the `java.text.MessageFormat.format()` method.

  Parameters:
    `name` - The property
    `args` - The positional parameters

### setProperty

    java.lang.Object setProperty(java.lang.String name,
                                 java.lang.String value)

  Sets a property to a new value.

  Parameters:
    `name` - The property
    `value` - The new value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.